
import java.sql.*;

public class JdbcInsertNull {

    public static void main(String args[]) {

        Connection con = null;
        PreparedStatement pst = null;
        ResultSet rs = null;

        String url = "jdbc:mysql://localhost:3306/";
        String db = "komal";
        String driver = "com.mysql.jdbc.Driver";
        String user = "root";
        String pass = "root";

        try {
            Class.forName(driver);
            con = DriverManager.getConnection(url + db, user, pass);
            con.setAutoCommit(false);// Disables auto-commit.

            String sql = "insert into employees values(?,?,?,?) ";
            pst = con.prepareStatement(sql);

            pst.setString(1, "Rakesh");
            pst.setString(2, "Kanwal");
            pst.setString(3, "Delhi");
            pst.setString(4, null);

            pst.executeUpdate();

            sql = "select * from employees";
            rs = pst.executeQuery(sql);

            System.out.println("No  \tName");
            while (rs.next()) {
                System.out.print(rs.getString(1) + "     \t");
                System.out.print(rs.getString(2) + "     \t");
                System.out.print(rs.getString(3) + "     \t");
                System.out.println(rs.getString(4));
            }
            rs.close();
            pst.close();
            con.close();

        } catch (Exception e) {
            System.out.println(e);
        }
    }
}
